﻿using System;
using UnityEngine;

namespace FX
{
	// Token: 0x02000755 RID: 1877
	public class FX_CopyMat_SetColor2_Pulse : MonoBehaviour
	{
		// Token: 0x0600301D RID: 12317 RVA: 0x001021A0 File Offset: 0x001021A0
		private void Start()
		{
			this.renderer_ = base.GetComponent<Renderer>();
			this.propertyID_ValueName_ = Shader.PropertyToID(this.valueName);
			this.count_ = this._changeFrames;
		}

		// Token: 0x0600301E RID: 12318 RVA: 0x001021CC File Offset: 0x001021CC
		private void Update()
		{
			if (this.count_ >= this._changeFrames)
			{
				this.count_ = 0;
				if (this.switching_)
				{
					this.renderer_.material.SetColor(this.propertyID_ValueName_, this._color1);
				}
				else
				{
					this.renderer_.material.SetColor(this.propertyID_ValueName_, this._color2);
				}
				this.switching_ = !this.switching_;
			}
			this.count_++;
		}

		// Token: 0x040055E4 RID: 21988
		[SerializeField]
		private string valueName = "_TintColor";

		// Token: 0x040055E5 RID: 21989
		[SerializeField]
		private Color _color1 = new Color(1f, 1f, 1f, 1f);

		// Token: 0x040055E6 RID: 21990
		[SerializeField]
		private Color _color2 = new Color(1f, 1f, 1f, 1f);

		// Token: 0x040055E7 RID: 21991
		[SerializeField]
		private int _changeFrames = 1;

		// Token: 0x040055E8 RID: 21992
		private Renderer renderer_;

		// Token: 0x040055E9 RID: 21993
		private bool switching_;

		// Token: 0x040055EA RID: 21994
		private int count_;

		// Token: 0x040055EB RID: 21995
		private int propertyID_ValueName_;
	}
}
