﻿using System;
using UnityEngine;

namespace FX
{
	// Token: 0x0200074E RID: 1870
	public class FX_TurnCamera : MonoBehaviour
	{
		// Token: 0x06003009 RID: 12297 RVA: 0x00101B44 File Offset: 0x00101B44
		private void Start()
		{
			if (this.targetCamera == null)
			{
				this.targetCamera = Camera.main;
			}
		}

		// Token: 0x0600300A RID: 12298 RVA: 0x00101B64 File Offset: 0x00101B64
		private void Update()
		{
			if (!this.alignCamera)
			{
				base.transform.LookAt(this.targetCamera.transform.position);
				base.transform.Rotate(Vector3.up, 180f);
			}
			else
			{
				base.transform.rotation = this.targetCamera.transform.rotation;
			}
		}

		// Token: 0x040055BE RID: 21950
		[SerializeField]
		private Camera targetCamera;

		// Token: 0x040055BF RID: 21951
		[SerializeField]
		private bool alignCamera;
	}
}
