﻿using System;
using UnityEngine;

namespace FX
{
	// Token: 0x0200076C RID: 1900
	public class FX_ch_035001 : MonoBehaviour
	{
		// Token: 0x06003064 RID: 12388 RVA: 0x0010408C File Offset: 0x0010408C
		private void Start()
		{
			if (this._parent.Length > 0)
			{
				for (int i = 0; i < this._parent.Length; i++)
				{
					GameObject gameObject = UnityEngine.Object.Instantiate<GameObject>(this.GenerateObject);
					gameObject.transform.position = this._parent[i].transform.position;
					gameObject.transform.parent = this._parent[i].transform;
					gameObject.transform.localRotation = this.GenerateObject.transform.localRotation;
				}
			}
		}

		// Token: 0x06003065 RID: 12389 RVA: 0x0010411C File Offset: 0x0010411C
		private void Update()
		{
			GetAllChildren.MapComponentsInChildren<FX_ch_035001_Trail>(base.transform, delegate(FX_ch_035001_Trail targetComponent)
			{
				if (null == targetComponent)
				{
					return;
				}
				targetComponent.value = this._value;
			});
		}

		// Token: 0x040056BA RID: 22202
		[SerializeField]
		private GameObject GenerateObject;

		// Token: 0x040056BB RID: 22203
		[SerializeField]
		private GameObject[] _parent;

		// Token: 0x040056BC RID: 22204
		[SerializeField]
		[Range(0f, 1f)]
		private float _value;
	}
}
