﻿using System;
using UnityEngine;

namespace FX
{
	// Token: 0x02000756 RID: 1878
	public class FX_CopyMat_SetColor_Child : MonoBehaviour
	{
		// Token: 0x06003020 RID: 12320 RVA: 0x00102298 File Offset: 0x00102298
		private void Start()
		{
			int propertyID_ValueName1 = Shader.PropertyToID(this.valueName);
			int propertyID_ValueName2 = Shader.PropertyToID(this.valueName2);
			GetAllChildren.MapComponentsInChildren<Renderer>(base.transform, delegate(Renderer renderer)
			{
				if (null == renderer)
				{
					return;
				}
				Material[] materials = renderer.materials;
				for (int i = 0; i < materials.Length; i++)
				{
					materials[i].SetColor(propertyID_ValueName1, this.color);
					materials[i].SetColor(propertyID_ValueName2, this.color);
				}
				renderer.materials = materials;
			});
		}

		// Token: 0x040055EC RID: 21996
		[SerializeField]
		private string valueName = "_TintColor";

		// Token: 0x040055ED RID: 21997
		[SerializeField]
		private string valueName2 = "_Color";

		// Token: 0x040055EE RID: 21998
		[SerializeField]
		private Color color = new Color(1f, 1f, 1f, 1f);
	}
}
