﻿using System;
using System.Collections.Generic;
using UnityEngine;

namespace MU3
{
	// Token: 0x0200072C RID: 1836
	public static class EffectListResource
	{
		// Token: 0x06002F78 RID: 12152 RVA: 0x000FD588 File Offset: 0x000FD588
		public static List<ParticleSystem> popParticleSystems()
		{
			if (EffectListResource.particleSystemList_ == null)
			{
				EffectListResource.particleSystemList_ = new List<List<ParticleSystem>>(8);
				return new List<ParticleSystem>(4);
			}
			if (EffectListResource.particleSystemList_.Count <= 0)
			{
				return new List<ParticleSystem>(4);
			}
			int index = EffectListResource.particleSystemList_.Count - 1;
			List<ParticleSystem> result = EffectListResource.particleSystemList_[index];
			EffectListResource.particleSystemList_.RemoveAt(index);
			return result;
		}

		// Token: 0x06002F79 RID: 12153 RVA: 0x000FD5F0 File Offset: 0x000FD5F0
		public static void pushParticleSystems(ref List<ParticleSystem> particleSystems)
		{
			if (particleSystems == null)
			{
				return;
			}
			particleSystems.Clear();
			if (EffectListResource.particleSystemList_ != null)
			{
				EffectListResource.particleSystemList_.Add(particleSystems);
			}
		}

		// Token: 0x06002F7A RID: 12154 RVA: 0x000FD618 File Offset: 0x000FD618
		public static void clear()
		{
			EffectListResource.particleSystemList_ = null;
		}

		// Token: 0x040054F6 RID: 21750
		private static List<List<ParticleSystem>> particleSystemList_;
	}
}
