﻿using System;
using UnityEngine;

namespace MU3
{
	// Token: 0x020004E5 RID: 1253
	[AddComponentMenu("MU3/SwingJoint/SphereCollider", 2)]
	public class SwingJointSphereCollider : SwingJointCollider
	{
		// Token: 0x06001EF9 RID: 7929 RVA: 0x000C3680 File Offset: 0x000C3680
		public override void updateCache(ref SwingJointColliderInformation information)
		{
			information.position_ = this._cachedTransform.position;
			information.radius_ = this._radius * this._cachedTransform.lossyScale.x;
		}

		// Token: 0x06001EFA RID: 7930 RVA: 0x000C36C0 File Offset: 0x000C36C0
		private void Awake()
		{
			this._cachedTransform = base.transform;
		}

		// Token: 0x0400490D RID: 18701
		public float _radius = 0.5f;

		// Token: 0x0400490E RID: 18702
		private Transform _cachedTransform;
	}
}
