﻿using System;
using UnityEngine;

namespace MU3.Sys
{
	// Token: 0x02000C2B RID: 3115
	public static class Const
	{
		// Token: 0x04008384 RID: 33668
		public const float ScreenWidth = 1080f;

		// Token: 0x04008385 RID: 33669
		public const float ScreenHeight = 1920f;

		// Token: 0x04008386 RID: 33670
		public static readonly Vector2 ScreenSize = new Vector2(1080f, 1920f);

		// Token: 0x04008387 RID: 33671
		public const long GuestUserIDBase = 281474976710657L;

		// Token: 0x04008388 RID: 33672
		public const uint GameID = 5522500U;

		// Token: 0x04008389 RID: 33673
		public const int ErrorNo_CodeReader_NotFound = 3100;

		// Token: 0x0400838A RID: 33674
		public const int ErrorNo_CodeReader_InitializeFailed = 3101;

		// Token: 0x0400838B RID: 33675
		public const int ErrorNo_GroupRole_DuplicateParent = 3201;

		// Token: 0x0400838C RID: 33676
		public const int ErrorNo_InvalidLeverRange = 3301;

		// Token: 0x0400838D RID: 33677
		public const int MaxCardRequestCount = 50;

		// Token: 0x0400838E RID: 33678
		public const int MaxCharacterRequestCount = 50;

		// Token: 0x0400838F RID: 33679
		public const int MaxMusicRequestCount = 50;

		// Token: 0x04008390 RID: 33680
		public const int MaxItemRequestCount = 100;

		// Token: 0x04008391 RID: 33681
		public const int Login_Error = -1;

		// Token: 0x04008392 RID: 33682
		public const int Login_None = 0;

		// Token: 0x04008393 RID: 33683
		public const int Login_Success = 1;

		// Token: 0x04008394 RID: 33684
		public const int Layer_Default = 0;

		// Token: 0x04008395 RID: 33685
		public const int Layer_UI = 5;

		// Token: 0x04008396 RID: 33686
		public const int Layer_Player = 8;

		// Token: 0x04008397 RID: 33687
		public const int Layer_Ally = 8;

		// Token: 0x04008398 RID: 33688
		public const int Layer_Enemy = 11;

		// Token: 0x04008399 RID: 33689
		public const int Layer_UI_System = 16;

		// Token: 0x0400839A RID: 33690
		public const int Layer_BackgroundMerge = 27;

		// Token: 0x0400839B RID: 33691
		public const int Layer_FX_3DCharaMask = 28;

		// Token: 0x0400839C RID: 33692
		public const int Layer_FX_Gate = 29;

		// Token: 0x0400839D RID: 33693
		public const int Layer_FX_BackGround = 30;

		// Token: 0x0400839E RID: 33694
		public const int Layer_BackGround = 31;

		// Token: 0x0400839F RID: 33695
		public const int MinDeckCount = 5;

		// Token: 0x040083A0 RID: 33696
		public const int MaxDeckCount = 10;

		// Token: 0x040083A1 RID: 33697
		public const string PreloadShaders = "preloadshaders";

		// Token: 0x040083A2 RID: 33698
		public const string BackgroundName = "Background";

		// Token: 0x040083A3 RID: 33699
		public const string TestString_Good = "GOOD";

		// Token: 0x040083A4 RID: 33700
		public const string TestString_Bad = "BAD";

		// Token: 0x040083A5 RID: 33701
		public const string TestString_Check = "CHECK";

		// Token: 0x040083A6 RID: 33702
		public const string TestString_NA = "N/A";

		// Token: 0x040083A7 RID: 33703
		public static readonly int ShaderPropertyID_MainTex = Shader.PropertyToID("_MainTex");

		// Token: 0x040083A8 RID: 33704
		public static readonly int ShaderPropertyID_BloomTex = Shader.PropertyToID("_BloomTex");

		// Token: 0x040083A9 RID: 33705
		public static readonly int ShaderPropertyID_DecalTex = Shader.PropertyToID("_DecalTex");

		// Token: 0x040083AA RID: 33706
		public static readonly int ShaderPropertyID_ShadowColor = Shader.PropertyToID("_ShadowColor");

		// Token: 0x040083AB RID: 33707
		public static readonly int ShaderPropertyID_HightlightSphere = Shader.PropertyToID("_HighlightSphere");

		// Token: 0x040083AC RID: 33708
		public static readonly int ShaderPropertyID_HightlightUp = Shader.PropertyToID("_HighlightUp");

		// Token: 0x040083AD RID: 33709
		public static readonly int ShaderPropertyID_ModifiedColor = Shader.PropertyToID("_ModifiedColor");

		// Token: 0x040083AE RID: 33710
		public static readonly int ShaderPropertyID_ModifiedBrightness = Shader.PropertyToID("_Brightness");

		// Token: 0x040083AF RID: 33711
		public static readonly int ShaderPropertyID_ModifiedBlendRate = Shader.PropertyToID("_BlendRate");

		// Token: 0x040083B0 RID: 33712
		public static readonly int ShaderPropertyID_ColorAdd = Shader.PropertyToID("_ColorAdd");

		// Token: 0x040083B1 RID: 33713
		public static readonly int ShaderPropertyID_OutlineColorAdd = Shader.PropertyToID("_EdgeColorAdd");

		// Token: 0x040083B2 RID: 33714
		public static readonly int ShaderPropertyID_OutlineColor = Shader.PropertyToID("_EdgeColor");

		// Token: 0x040083B3 RID: 33715
		public static readonly int AnimatorID_Idle = Animator.StringToHash("Idle");

		// Token: 0x040083B4 RID: 33716
		public static readonly int AnimatorID_idle = Animator.StringToHash("idle");

		// Token: 0x040083B5 RID: 33717
		public static readonly int AnimatorID_AttackA = Animator.StringToHash("Attack_A");

		// Token: 0x040083B6 RID: 33718
		public static readonly int AnimatorID_AttackA002 = Animator.StringToHash("Attack_A_002");

		// Token: 0x040083B7 RID: 33719
		public static readonly int AnimatorID_AttackA003 = Animator.StringToHash("Attack_A_003");

		// Token: 0x040083B8 RID: 33720
		public static readonly int AnimatorID_AttackA004 = Animator.StringToHash("Attack_A_004");

		// Token: 0x040083B9 RID: 33721
		public static readonly int AnimatorID_AttackB = Animator.StringToHash("Attack_B");

		// Token: 0x040083BA RID: 33722
		public static readonly int AnimatorID_Damage = Animator.StringToHash("Damage");

		// Token: 0x040083BB RID: 33723
		public static readonly int AnimatorID_Dead = Animator.StringToHash("Dead");

		// Token: 0x040083BC RID: 33724
		public static readonly int AnimatorID_Overkill = Animator.StringToHash("Overkill");

		// Token: 0x040083BD RID: 33725
		public static readonly int AnimatorID_Turn = Animator.StringToHash("Turn");

		// Token: 0x040083BE RID: 33726
		public static readonly int AnimatorID_OverkillRatio = Animator.StringToHash("Overkill_ratio");

		// Token: 0x040083BF RID: 33727
		public static readonly int AnimatorID_BattleStart = Animator.StringToHash("BattleStart");

		// Token: 0x040083C0 RID: 33728
		public static readonly int AnimatorID_BattleStartBoss = Animator.StringToHash("BattleStartBoss");

		// Token: 0x040083C1 RID: 33729
		public static readonly int AnimatorID_BattleStartPlayer = Animator.StringToHash("BattleStartPlayer");

		// Token: 0x040083C2 RID: 33730
		public static readonly int AnimatorID_BattleResult = Animator.StringToHash("BattleResult");

		// Token: 0x040083C3 RID: 33731
		public static readonly int AnimatorID_BattleFinish1st = Animator.StringToHash("BattleFinish1st");

		// Token: 0x040083C4 RID: 33732
		public static readonly int AnimatorID_BattleFinish2nd = Animator.StringToHash("BattleFinish2nd");

		// Token: 0x040083C5 RID: 33733
		public static readonly int AnimatorID_EventStep = Animator.StringToHash("EventStep");

		// Token: 0x040083C6 RID: 33734
		public static readonly int AnimatorID_Position = Animator.StringToHash("Position");

		// Token: 0x040083C7 RID: 33735
		public static readonly int AnimatorID_Holding = Animator.StringToHash("Holding");

		// Token: 0x040083C8 RID: 33736
		public static readonly int AnimatorID_DamageControl = Animator.StringToHash("Damage_Scale");

		// Token: 0x040083C9 RID: 33737
		public static readonly int AnimatorID_PlayStart = Animator.StringToHash("PlayStart");

		// Token: 0x040083CA RID: 33738
		public static readonly int AnimatorID_PlayFinish = Animator.StringToHash("PlayFinish");

		// Token: 0x040083CB RID: 33739
		public static readonly int AnimatorID_RoomAwake = Animator.StringToHash("RoomAwake");

		// Token: 0x040083CC RID: 33740
		public static readonly int AnimatorID_RoomPresent = Animator.StringToHash("RoomPresent");

		// Token: 0x040083CD RID: 33741
		public static readonly int AnimatorID_RoomFavorite = Animator.StringToHash("RoomFavorite");

		// Token: 0x040083CE RID: 33742
		public static readonly int AnimatorID_RoomJoy = Animator.StringToHash("RoomJoy");

		// Token: 0x040083CF RID: 33743
		public static readonly int AnimatorID_RoomFaint = Animator.StringToHash("RoomFaint");

		// Token: 0x040083D0 RID: 33744
		public static readonly int AnimatorID_OnFocus = Animator.StringToHash("OnFocus");

		// Token: 0x040083D1 RID: 33745
		public static readonly int AnimatorID_Decided = Animator.StringToHash("Decided");

		// Token: 0x040083D2 RID: 33746
		public static readonly int AnimatorID_PressAction = Animator.StringToHash("PressAction");

		// Token: 0x040083D3 RID: 33747
		public static readonly int AnimatorID_State = Animator.StringToHash("State");

		// Token: 0x040083D4 RID: 33748
		public static readonly int AnimatorID_StrongState = Animator.StringToHash("StrongState");

		// Token: 0x040083D5 RID: 33749
		public static readonly int AnimatorID_Kind = Animator.StringToHash("Kind");

		// Token: 0x040083D6 RID: 33750
		public static readonly int AnimatorID_Mode = Animator.StringToHash("Mode");

		// Token: 0x040083D7 RID: 33751
		public static readonly int AnimatorID_Skip = Animator.StringToHash("Skip");

		// Token: 0x040083D8 RID: 33752
		public static readonly int AnimatorID_Start = Animator.StringToHash("Start");

		// Token: 0x040083D9 RID: 33753
		public static readonly int AnimatorID_Stop = Animator.StringToHash("Stop");

		// Token: 0x040083DA RID: 33754
		public static readonly int AnimatorID_In = Animator.StringToHash("In");

		// Token: 0x040083DB RID: 33755
		public static readonly int AnimatorID_Out = Animator.StringToHash("Out");

		// Token: 0x040083DC RID: 33756
		public static readonly int AnimatorID_Next = Animator.StringToHash("Next");

		// Token: 0x040083DD RID: 33757
		public static readonly int AnimatorID_Loop = Animator.StringToHash("Loop");

		// Token: 0x040083DE RID: 33758
		public static readonly int AnimatorID_Lock = Animator.StringToHash("Lock");

		// Token: 0x040083DF RID: 33759
		public static readonly int AnimatorID_Blank = Animator.StringToHash("Blank");

		// Token: 0x040083E0 RID: 33760
		public static readonly int AnimatorID_Active = Animator.StringToHash("Active");

		// Token: 0x040083E1 RID: 33761
		public static readonly int AnimatorID_Enable = Animator.StringToHash("Enable");

		// Token: 0x040083E2 RID: 33762
		public static readonly int AnimatorID_Disable = Animator.StringToHash("Disable");

		// Token: 0x040083E3 RID: 33763
		public static readonly int AnimatorID_Limit = Animator.StringToHash("Limit");

		// Token: 0x040083E4 RID: 33764
		public static readonly int AnimatorID_New = Animator.StringToHash("New");

		// Token: 0x040083E5 RID: 33765
		public static readonly int AnimatorID_Beginner = Animator.StringToHash("Beginner");

		// Token: 0x040083E6 RID: 33766
		public static readonly int AnimatorID_Intermediate = Animator.StringToHash("Intermediate");

		// Token: 0x040083E7 RID: 33767
		public static readonly int AnimatorID_Senior = Animator.StringToHash("Senior");

		// Token: 0x040083E8 RID: 33768
		public static readonly int AnimatorID_Custom = Animator.StringToHash("Custom");

		// Token: 0x040083E9 RID: 33769
		public static readonly int AnimatorID_Credit0 = Animator.StringToHash("Credit0");

		// Token: 0x040083EA RID: 33770
		public static readonly int AnimatorID_Credit1 = Animator.StringToHash("Credit1");

		// Token: 0x040083EB RID: 33771
		public static readonly int AnimatorID_Credit2 = Animator.StringToHash("Credit2");

		// Token: 0x040083EC RID: 33772
		public static readonly int AnimatorID_Credit3 = Animator.StringToHash("Credit3");

		// Token: 0x040083ED RID: 33773
		public static readonly int AnimatorID_Push = Animator.StringToHash("Push");

		// Token: 0x040083EE RID: 33774
		public static readonly int AnimatorID_Reset = Animator.StringToHash("Reset");

		// Token: 0x040083EF RID: 33775
		public static readonly int AnimatorID_SelectedLoop = Animator.StringToHash("Selected_Loop");

		// Token: 0x040083F0 RID: 33776
		public static readonly int AnimatorID_WindowLoop = Animator.StringToHash("window_loop");

		// Token: 0x040083F1 RID: 33777
		public static readonly int AnimatorID_WindowOut = Animator.StringToHash("window_out");

		// Token: 0x040083F2 RID: 33778
		public static readonly int AnimatorID_MoveRight = Animator.StringToHash("MoveRight");

		// Token: 0x040083F3 RID: 33779
		public static readonly int AnimatorID_MoveLeft = Animator.StringToHash("MoveLeft");

		// Token: 0x040083F4 RID: 33780
		public static readonly int AnimatorID_Danger = Animator.StringToHash("Danger");

		// Token: 0x040083F5 RID: 33781
		public static readonly int AnimatorID_Cursor = Animator.StringToHash("Cursor");

		// Token: 0x040083F6 RID: 33782
		public static readonly int AnimatorID_ExpUp = Animator.StringToHash("ExpUp");

		// Token: 0x040083F7 RID: 33783
		public static readonly int AnimatorID_StartNumOff = Animator.StringToHash("Start_NumOff");

		// Token: 0x040083F8 RID: 33784
		public static readonly int AnimatorID_MoveInEventInfo = Animator.StringToHash("MoveInEventInfo");

		// Token: 0x040083F9 RID: 33785
		public static readonly int AnimatorID_LevelUp = Animator.StringToHash("LevelUp");

		// Token: 0x040083FA RID: 33786
		public static readonly int AnimatorID_Transition_loop = Animator.StringToHash("Transition_loop");

		// Token: 0x040083FB RID: 33787
		public static readonly int AnimatorID_VS_loop = Animator.StringToHash("VS_loop");

		// Token: 0x040083FC RID: 33788
		public static readonly int AnimatorID_Shake = Animator.StringToHash("Shake");

		// Token: 0x040083FD RID: 33789
		public static readonly int AnimatorID_Boost = Animator.StringToHash("Boost");

		// Token: 0x040083FE RID: 33790
		public static readonly int AnimatorID_MainReward = Animator.StringToHash("MainReward");

		// Token: 0x040083FF RID: 33791
		public static readonly int AnimatorID_VoiceNo = Animator.StringToHash("VoiceNo");

		// Token: 0x04008400 RID: 33792
		public static readonly int AnimatorID_NoActive = Animator.StringToHash("NoActive");

		// Token: 0x04008401 RID: 33793
		public static readonly int AnimatorID_Goal = Animator.StringToHash("Goal");

		// Token: 0x04008402 RID: 33794
		public static readonly int AnimatorID_Clear = Animator.StringToHash("Clear");

		// Token: 0x04008403 RID: 33795
		public static readonly int AnimatorID_NoCardLoop = Animator.StringToHash("noCard_loop");

		// Token: 0x04008404 RID: 33796
		public static readonly int AnimatorID_CardIn = Animator.StringToHash("Card_in");

		// Token: 0x04008405 RID: 33797
		public static readonly int AnimatorID_CardOut = Animator.StringToHash("Card_out");

		// Token: 0x04008406 RID: 33798
		public static readonly int AnimatorID_CardLoop = Animator.StringToHash("Card_loop");
	}
}
