﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;


class CSVReader
{
    public static List<List<string>> ReadCSV(string path)
    {
        var list = new List<List<string>>();
        var lines = File.ReadAllLines(path);

        foreach (var line in lines)
        {
            var values = line.Split(',');
            list.Add(values.ToList());
        }

        return list;
    }
}

